文档章节

安装ruby用rvm

沐春风23
 沐春风23
发布于 2013/09/09 17:55
字数 483
阅读 365
收藏 1

root@AY130517082447314dd4Z ~]# curl -L https://get.rvm.io | bash -s stable --ruby 

% Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 15779 100 15779 0 0 6764 0 0:00:02 0:00:02 --:--:-- 83486 Please read and follow further instructions. Press ENTER to continue. Downloading RVM from wayneeseguin branch stable % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 1078k 100 1078k 0 0 192k 0 0:00:05 0:00:05 --:--:-- 324k Creating group 'rvm' Installing RVM to /usr/local/rvm/ Installation of RVM in /usr/local/rvm/ is almost complete: * First you need to add all users that will be using rvm to 'rvm' group, and logout - login again, anyone using rvm will be operating with `umask u=rwx,g=rwx,o=rx`. * To start using RVM you need to run `source /etc/profile.d/rvm.sh` in all your open shell windows, in rare cases you need to reopen all shell windows. # Administrator, # # Thank you for using RVM! # I sincerely hope that RVM helps to make your life easier and more enjoyable!!! # # ~Wayne # In case of problems: # run and read: rvm notes # read docs: http://rvm.io/ # talk to us: http://webchat.freenode.net/?channels=rvm (http://freenode.net/faq.shtml#plusr) # read cheatsheet: http://cheat.errtheblog.com/s/rvm # watch screencast: http://screencasts.org/episodes/how-to-use-rvm # open a bug report: https://github.com/wayneeseguin/rvm/issues rvm 1.22.5 (stable) by Wayne E. Seguin , Michal Papis [https://rvm.io/] Searching for binary rubies, this might take some time. No binary rubies available for: centos/5/i386/ruby-2.0.0-p247. Continuing with compilation. Please read 'rvm help mount' to get more information on binary rubies. Checking requirements for centos. Installing requirements for centos. Updating system Installing required packages: patch, gcc-c++, patch, readline-devel, zlib-devel, libyaml-devel, libffi-devel, openssl-devel, bison....................................................................................................................... Requirements installation successful. Installing Ruby from source to: /usr/local/rvm/rubies/ruby-2.0.0-p247, this may take a while depending on your cpu(s)... ruby-2.0.0-p247 - #downloading ruby-2.0.0-p247, this may take a while depending on your connection... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 10.3M 100 10.3M 0 0 926k 0 0:00:11 0:00:11 --:--:-- 1083k ruby-2.0.0-p247 - #extracting ruby-2.0.0-p247 to /usr/local/rvm/src/ruby-2.0.0-p247 ruby-2.0.0-p247 - #extracted to /usr/local/rvm/src/ruby-2.0.0-p247 Applying patch /usr/local/rvm/patches/ruby/2.0.0/logging.patch.... ruby-2.0.0-p247 - #configuring....................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................... ruby-2.0.0-p247 - #post-configuration ruby-2.0.0-p247 - #compiling............................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................... ruby-2.0.0-p247 - #installing.................................................................................................................................................................................................................................................................................................. Creating alias default for ruby-2.0.0-p247. Recording alias default for ruby-2.0.0-p247. Creating default links/files Saving wrappers to '/usr/local/rvm/bin'........ * To start using RVM you need to run `source /usr/local/rvm/scripts/rvm` in all your open shell windows, in rare cases you need to reopen all shell windows.

© 著作权归作者所有

沐春风23
粉丝 7
博文 73
码字总数 29030
作品 0
海淀
私信 提问
redis requires Ruby version >= 2.2.2问题

最近在研究redis的集群,redis官方提供了redis-trib.rb工具,但是在使用之前 需要安装ruby,以及redis和ruby连接: yum -y install ruby ruby-devel rubygems rpm-build gem install redis ...

哲别0
2018/05/10
174
0
Ubuntu下安装ruby的三种方式

方法一:使用apt-get安装 可以直接使用两个命令完成Ruby的安装。 # sudo apt-get update # sudo apt-get install ruby 或者 # sudo apt-get install ruby2.0 方法二:使用brightbox ppa仓库安...

boonya
2015/10/23
151
0
CocoaPods安装和使用图解

CocoaPods安装和使用图解 1.升级Ruby环境 (失败)sudo gem update --system (成功)gem update --system 2.升级Ruby环境 (理论可行)gem sources --remove https://rubygems.org/ (失败)gem so......

AppleDream
2016/08/08
5
0
超级崩溃ubuntu无法安装Rails3,gem install rails无法执行

在ubuntu11下,试过多种方法,安装Rails的时候均出现一样错误,现在已经使用RVM管理Ruby。详细安装方法,按照http://blog.sina.com.cn/s/blog_695f60580100xbn1.html这个网址进行。 #This lo...

Rayay
2011/08/19
3.3K
5
在执行gem: redis requires Ruby version >= 2.2.2

在执行gem install redis时 : ERROR: Error installing redis: redis requires Ruby version >= 2.2.2 在执行gem install redis时 提示: gem install redis 原因,ruby版本小于了2.2.2。 1.......

linjin200
2018/09/11
90
0

没有更多内容

加载失败,请刷新页面

加载更多

你知道多少this,new,bind,call,apply?那我告诉你

那么什么是this,new,bind,call,apply呢?这些你都用过吗?掌握这些内容都是基础中的基础了。如果你不了解,那还不赶快去复习复习,上网查阅资料啥的! 通过call,apply,bind可以改变thi...

达达前端小酒馆
今天
4
0
设计模式之命令模式

命令模式的类图 其中的角色有: Client 客户端。只依赖于调用者Invoker、接收者Receiver、以及Command(网上找的图片这里没有画出来),不用关注接收者如何执行命令,只需要告诉调用者需要执行...

陈年之后是青葱
今天
7
0
2. 彤哥说netty系列之IO的五种模型

你好,我是彤哥,本篇是netty系列的第二篇。 欢迎来我的公从号彤哥读源码系统地学习源码&架构的知识。 简介 本文将介绍linux中的五种IO模型,同时也会介绍阻塞/非阻塞与同步/异步的区别。 何...

彤哥读源码
今天
5
0
OSChina 周四乱弹 —— 喵的波粒二象性

Osc乱弹歌单(2019)请戳(这里) 【今日歌曲】 @ 小小编辑推荐:《水墨兰亭》- 李志辉 《水墨兰亭》- 李志辉 手机党少年们想听歌,请使劲儿戳(这里) @巴拉迪维 :卧室里采光要足够好,这样...

小小编辑
今天
34
1
前后端分离接口规范

最近在开发,遇到前后端关于Boolean类型的参数传参和接收的问题: 场景:后台会根据用户是否出车/是否出司机(Boolean类型)来决定后端的业务逻辑(比如费用的计算),前端使用JSON字符串类型...

code-ortaerc
昨天
6
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部